Bug 2562 - Incorrect return from double j0 (-0X1.001000001P+593)
Summary: Incorrect return from double j0 (-0X1.001000001P+593)
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: math (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-12 22:45 UTC by H.J. Lu
Modified: 2019-04-10 09:13 UTC (History)
2 users (show)

See Also:
Host: x86_64-unknown-linux-gnu
Target: x86_64-unknown-linux-gnu
Build: x86_64-unknown-linux-gnu
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description H.J. Lu 2006-04-12 22:45:28 UTC
Failure: Test: j0 (-0X1.001000001P+593) == 0X1.FFFFD6F053A8BP-298
Result:
 is:          0.00000000000000000000e+00   0x0.00000000000000000000p+0
 should be:   3.92726996635420636080e-90   0x1.ffffd6f053a8b0000000p-298
 difference:  3.92726996635420636080e-90   0x1.ffffd6f053a8b0000000p-298
 ulp       :  9007188232452747.0000
 max.ulp   :  0.0000
Comment 1 Ulrich Drepper 2006-04-23 17:54:56 UTC
Suspended until somebody comes up with a patch.
Comment 2 Joseph Myers 2012-02-23 02:51:48 UTC
See http://sourceware.org/ml/libc-alpha/2012-02/msg00512.html for analysis.
Comment 3 Joseph Myers 2012-03-16 20:15:55 UTC
Fixed by:

commit c36e1d2369f149a64c759f3ad6f4cc5a03b03b62
Author: Joseph Myers <joseph@codesourcery.com>
Date:   Fri Mar 16 20:08:02 2012 +0000

    Disable Bessel function TLOSS errors in POSIX mode.

(The correct result, as given by MPFR and now given by glibc, has the opposite sign from that given in the original bug report.)